Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math
Class ExpressionEditorPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.developmentontheedge.application.PanelManager
                          ru.biosoft.math.ExpressionEditorPane

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable

public class ExpressionEditorPane
extends PanelManager

General purpose expression editor.

See Also:
  `Expression`, `ExpressionEditorDialog`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` | `dumpButton`
`protected Expression` | `expression`
`static LinearFormatter` | `linearFormatter`
`static Parser` | `linearParser`
`protected javax.swing.JTextPane` | `logPane`
`static MathMLFormatter` | `mathMLFormatter`
`protected javax.swing.JTextPane` | `mathMLPane`
`static Parser` | `mathMLParser`
`protected javax.swing.JButton` | `okButton` The dialog can set up this property and ExpressionEditorPane will enable or disable the button depending on the status of expression parsing.
`protected javax.swing.JTextPane` | `source` The source of DocumentEvent, text or mathML JTextPane.
`protected int` | `status` Indicates whether edited expression is valid.
`protected javax.swing.JTextPane` | `textPane`
`protected javax.swing.JButton` | `validateButton`
`protected FormulaViewBuilder` | `viewBuilder`
`protected ViewPane` | `viewPane`

Fields inherited from class com.developmentontheedge.application.PanelManager
`infos, sizesDividerLocation`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExpressionEditorPane()`
`ExpressionEditorPane(javax.swing.JButton okButton)`

Method Summary
`protected void` | `dump()`
`Expression` | `getExpression()`
`javax.swing.JButton` | `getOkButton()`
`protected void` | `processDocumentEvent(javax.swing.JTextPane source, javax.swing.event.DocumentEvent e)`
`void` | `setExpression(Expression expression)`
`void` | `setOkButton(javax.swing.JButton okButton)`
`protected void` | `updateTab()`
`protected void` | `updateView()`
`protected void` | `validateExpression()`

Methods inherited from class com.developmentontheedge.application.PanelManager
`addPanel, addPanel, addPanel, contains, doAddPanel, doRemovePanel, getPanel, getPanelInfo, getPanelNames, group, isEmpty, propertyChange, removeAllPanels, removePanel, togglePanel`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### viewBuilder

    protected FormulaViewBuilder viewBuilder

### viewPane

    protected ViewPane viewPane

### textPane

    protected javax.swing.JTextPane textPane

### mathMLPane

    protected javax.swing.JTextPane mathMLPane

### logPane

    protected javax.swing.JTextPane logPane

### validateButton

    protected javax.swing.JButton validateButton

### dumpButton

    protected javax.swing.JButton dumpButton

### expression

    protected Expression expression

### okButton

    protected javax.swing.JButton okButton

  The dialog can set up this property and ExpressionEditorPane will enable or disable the button depending on the status of expression parsing.

### linearParser

    public static Parser linearParser

### mathMLParser

    public static Parser mathMLParser

### linearFormatter

    public static LinearFormatter linearFormatter

### mathMLFormatter

    public static MathMLFormatter mathMLFormatter

### status

    protected int status

  Indicates whether edited expression is valid. Possible values: Parser.STATUS_OK, Parser.STATUS_WARNING, Parser.STATUS_ERRROR, Parser.STATUS_FATAL_ERROR or combination their combination (excluding Parser.STATUS_OK).

### source

    protected javax.swing.JTextPane source

  The source of DocumentEvent, text or mathML JTextPane.

Constructor Detail

### ExpressionEditorPane

    public ExpressionEditorPane()

### ExpressionEditorPane

    public ExpressionEditorPane(javax.swing.JButton okButton)

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### getOkButton

    public javax.swing.JButton getOkButton()

### setOkButton

    public void setOkButton(javax.swing.JButton okButton)

### processDocumentEvent

    protected void processDocumentEvent(javax.swing.JTextPane source,
                                        javax.swing.event.DocumentEvent e)

### updateView

    protected void updateView()

### updateTab

    protected void updateTab()

### validateExpression

    protected void validateExpression()

### dump

    protected void dump()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.